Bug 865018 - SELinux is preventing /usr/libexec/gvfs-gphoto2-volume-monitor from 'search' accesses on the directory /sys/kernel/config.
SELinux is preventing /usr/libexec/gvfs-gphoto2-volume-monitor from 'search' ...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: selinux-policy (Show other bugs)
18
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Miroslav Grepl
Fedora Extras Quality Assurance
abrt_hash:8922ffde130de00e3c02cbbcac2...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-10-10 11:59 EDT by Tim Waugh
Modified: 2012-12-20 10:39 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-12-20 10:39:27 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: type (9 bytes, text/plain)
2012-10-10 11:59 EDT, Tim Waugh
no flags Details
File: hashmarkername (14 bytes, text/plain)
2012-10-10 11:59 EDT, Tim Waugh
no flags Details

  None (edit)
Description Tim Waugh 2012-10-10 11:59:11 EDT
Additional info:
libreport version: 2.0.14
kernel:         3.6.0-3.fc18.x86_64

description:
:SELinux is preventing /usr/libexec/gvfs-gphoto2-volume-monitor from 'search' accesses on the directory /sys/kernel/config.
:
:*****  Plugin restorecon (99.5 confidence) suggests  *************************
:
:If you want to fix the label. 
:/sys/kernel/config default label should be sysfs_t.
:Then you can run restorecon.
:Do
:# /sbin/restorecon -v /sys/kernel/config
:
:*****  Plugin catchall (1.49 confidence) suggests  ***************************
:
:If you believe that gvfs-gphoto2-volume-monitor should be allowed search access on the config directory by default.
:Then you should report this as a bug.
:You can generate a local policy module to allow this access.
:Do
:allow this access for now by executing:
:# grep gvfs-gphoto2-vo /var/log/audit/audit.log | audit2allow -M mypol
:# semodule -i mypol.pp
:
:Additional Information:
:Source Context                system_u:system_r:xdm_t:s0-s0:c0.c1023
:Target Context                system_u:object_r:configfs_t:s0
:Target Objects                /sys/kernel/config [ dir ]
:Source                        gvfs-gphoto2-vo
:Source Path                   /usr/libexec/gvfs-gphoto2-volume-monitor
:Port                          <Unknown>
:Host                          (removed)
:Source RPM Packages           gvfs-gphoto2-1.14.0-1.fc18.x86_64
:Target RPM Packages           
:Policy RPM                    selinux-policy-3.11.1-32.fc18.noarch
:Selinux Enabled               True
:Policy Type                   targeted
:Enforcing Mode                Enforcing
:Host Name                     (removed)
:Platform                      Linux (removed) 3.6.0-3.fc18.x86_64 #1 SMP Wed Oct
:                              3 13:29:15 UTC 2012 x86_64 x86_64
:Alert Count                   4
:First Seen                    2012-10-10 13:05:02 BST
:Last Seen                     2012-10-10 17:52:48 BST
:Local ID                      9b457ceb-bc1e-4ff7-88bb-056f7be83995
:
:Raw Audit Messages
:type=AVC msg=audit(1349887968.469:361): avc:  denied  { search } for  pid=1369 comm="gvfs-gphoto2-vo" name="/" dev="configfs" ino=13331 scontext=system_u:system_r:xdm_t:s0-s0:c0.c1023 tcontext=system_u:object_r:configfs_t:s0 tclass=dir
:
:
:type=SYSCALL msg=audit(1349887968.469:361): arch=x86_64 syscall=stat success=no exit=EACCES a0=7fff0dbe3760 a1=7fff0dbe36d0 a2=7fff0dbe36d0 a3=12 items=0 ppid=1368 pid=1369 auid=42 uid=42 gid=42 euid=42 suid=42 fsuid=42 egid=42 sgid=42 fsgid=42 tty=(none) ses=1 comm=gvfs-gphoto2-vo exe=/usr/libexec/gvfs-gphoto2-volume-monitor subj=system_u:system_r:xdm_t:s0-s0:c0.c1023 key=(null)
:
:Hash: gvfs-gphoto2-vo,xdm_t,configfs_t,dir,search
:
:audit2allow
:
:#============= xdm_t ==============
:allow xdm_t configfs_t:dir search;
:
:audit2allow -R
:
:#============= xdm_t ==============
:allow xdm_t configfs_t:dir search;
:
Comment 1 Tim Waugh 2012-10-10 11:59:14 EDT
Created attachment 624982 [details]
File: type
Comment 2 Tim Waugh 2012-10-10 11:59:17 EDT
Created attachment 624983 [details]
File: hashmarkername
Comment 3 Daniel Walsh 2012-10-10 14:54:20 EDT
Tim Any idea why xdm would be executing this?
Comment 4 Tim Waugh 2012-10-11 04:51:12 EDT
I think it happens when I have my mobile phone connected when I log in.
Comment 5 Daniel Walsh 2012-10-11 14:04:04 EDT
Don't know why but then again don't really care.

Fixed in selinux-policy-3.11.1-37.fc18.noarch
Comment 6 Fedora Update System 2012-10-23 16:34:01 EDT
selinux-policy-3.11.1-43.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/selinux-policy-3.11.1-43.fc18
Comment 7 Fedora Update System 2012-10-26 11:36:57 EDT
selinux-policy-3.11.1-46.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/selinux-policy-3.11.1-46.fc18
Comment 8 Fedora Update System 2012-10-26 15:26:12 EDT
Package selinux-policy-3.11.1-46.fc18:
* should fix your issue,
* was pushed to the Fedora 18 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing selinux-policy-3.11.1-46.fc18'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-16862/selinux-policy-3.11.1-46.fc18
then log in and leave karma (feedback).
Comment 9 Fedora Update System 2012-12-20 10:39:31 EST
selinux-policy-3.11.1-46.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.